<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

?>

<?php
/** @var $block \Magento\Review\Block\Customer\Recent */
?>

<?php if ($block->getReviews() && count($block->getReviews())): ?>
<div class="block block-reviews-dashboard">
    <div class="block-title">
        <strong><?php /* @escapeNotVerified */ echo __('My Recent Reviews') ?></strong>
        <a class="action view" href="<?php /* @escapeNotVerified */ echo $block->getAllReviewsUrl() ?>"><span><?php /* @escapeNotVerified */ echo __('View All') ?></span></a>
    </div>
    <div class="block-content">
        <ol class="items">
        <?php foreach ($block->getReviews() as $_review): ?>
            <li class="item">
                <strong class="product-name"><a href="<?php /* @escapeNotVerified */ echo $block->getReviewUrl($_review->getReviewId()) ?>"><?php echo $block->escapeHtml($_review->getName()) ?></a></strong>
                <?php if ($_review->getSum()): ?>
                <?php $rating = $_review->getSum() / $_review->getCount() ?>
                    <div class="rating-summary">
                         <span class="label"><span><?php /* @escapeNotVerified */ echo __('Rating') ?>:</span></span>
                         <div class="rating-result" title="<?php /* @escapeNotVerified */ echo $rating; ?>%">
                             <span style="width:<?php /* @escapeNotVerified */ echo $rating; ?>%"><span><?php /* @escapeNotVerified */ echo $rating; ?>%</span></span>
                         </div>
                     </div>
                <?php endif; ?>
            </li>
        <?php endforeach; ?>
        </ol>
    </div>
</div>
<?php endif; ?>
